- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Community.Routeros Collection Docs

# community.routeros.quote_argument filter – Quote an argument

Note

This filter plugin is part of the community.routeros collection (version 2.8.2).

To install it, use: `ansible-galaxy collection install community.routeros`.

To use it in a playbook, specify: `community.routeros.quote_argument`.

New in community.routeros 2.0.0

## Synopsis

- Quote an argument.

## Input

This describes the input of the filter, the value before `| community.routeros.quote_argument`.

Parameter | Comments
--- | ---
Input string / required | An argument to quote.

## Examples

    - name: Quote a RouterOS CLI command argument
      ansible.builtin.set_fact:
        quoted: "{{ 'comment=this is a "comment"' | community.routeros.quote_argument }}"
        # Should result in 'comment="this is a \"comment\""'

## Return Value

Key | Description
--- | ---
Return value string | The quoted argument. Returned: success

### Authors

- Felix Fontein (@felixfontein)

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.

### Collection links

Issue Tracker Repository (Sources) Submit a bug report Request a feature Communication